#include	<console.h>
#include	<Sound.h>
#include	<StandardFile.h>
#include 	<GestaltEqu.h>
#include	"GenericErrors.h"
#include 	"twiddle.h"
 
#define WAVE_FORMAT_PCM		1
#define	NIL 				0L
#define kmaxVolume			7
 
#define ksysFailed 			"\pSorry, This software requires system 7.0.0 or greater."

#define kStereoStr 			"\pStereo"
#define kMonoStr 			"\pMonaural"

typedef unsigned short	WORD;
typedef unsigned long	DWORD;
typedef long			FOURCC;

typedef struct{
	Str255	name;
	Str32	smpls;
	Str32	dataBits;
	Str32	stereo;
}InfoRec,*InfoPtr,**InfoHnd;

typedef struct _MMCKINFO{
	FOURCC		ckid;
	DWORD		cksize;
	FOURCC		fccType;
	DWORD		dwDataOffset;
	WORD		dwFlags;
}MMCKINFO;

typedef struct waveformat_tag{
	WORD		wFormatTag;
	WORD		nCannels;
	DWORD		nSamplesPerSec;
	DWORD		nAvgBytesPerSec;
	WORD		nBlockAlign;
}WAVEFORMAT;

typedef struct _pcwaveformat_tag{
	FOURCC		ckid;
	DWORD		cksize;
	FOURCC		fccType;
	FOURCC		fmtType;
	DWORD		dwDataOffset;
	WORD		wFormatTag;
	WORD		nCannels;
	DWORD		nSamplesPerSec;
	DWORD		nAvgBytesPerSec;
	WORD		nBlockAlign;
	WORD		wBitsPerSample;
	FOURCC		dataType;
	DWORD		dataSize;
	char		theData[];
	char		offsets[42];
	DWORD		type2size;
	char		compData[];
}PCMWaveRec,*PCMWavePtr,**PCMWaveHnd;

typedef struct {
	short		formatType;
	short		numberSyns;
	short		idFirstSynth;
	long		INIToptions;
	short		numCommands;
	short		command1;
	short		param1;
	long		param2;
	SoundHeader	s;
}CraigSNDRec,*CraigSNDPtr,**CraigSNDHnd;

typedef struct{
	unsigned int	nib1:4;
	unsigned int	nib0:4;
}dildo,*dildoPtr,**dildoHand;

	
extern void		main(void);
extern void		ToolBoxInit(void);
extern void		DoMainDialog(void);
extern void		DoOpen(void);
extern void		ProcessAFile(FSSpec *fileSpec);
extern pascal   Boolean	BalthaFilter(DialogPtr dlog, EventRecord *event, short *itemHit);
extern void		BlowPopStand(void);
